@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

body {
  font-family: var(--primary-font-family);
  font-size: var(--primary-font-size);
  background: #fff;
  color: var(--text-color);
  overflow-x: hidden;
}

/* Corp Login */
.login-body {
  background: url("../img/login_bg.jpg") no-repeat center center fixed;
  background-size: cover;
  height: 100vh;
}

.login-body .parent {
  width: 90%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  border-radius: 24px;
}

.login-body .parent .row {
  background-color: #fff;
  border-radius: 24px;
  box-shadow: 0px 8px 10px -6px #0000001A;
}

.login-body .parent .login_img {
  border-top-left-radius: 24px;
  border-bottom-left-radius: 24px;
  height: 100%;
}

.login-body .card_parent {
  margin: 20% 48px;
}

.card-body h2 {
  font-size: calc(var(--primary-font-size) + 22px);

}

.password-field {
  position: relative;
}

.password-field input {
  padding-right: 45px;
}

.password-field .icon {
  position: absolute;
  top: 50%;
  right: 12px;
  transform: translateY(-50%);
  cursor: pointer;
  font-size: 18px;
  color: #888;
}

.password-field .icon.hide {
  display: none;
}

/* corp detais */
.corp_detail,
.corp_register {
  height: 100vh;
}

.corp_detail .form-container,
.corp_register .form-container {
  width: 100%;
  max-width: 85%;
}

.object-fit-cover {
  object-fit: cover;
}

.corp_detail .upload-row {
  display: flex;
  align-items: center;
  gap: 20px;
}

.corp_detail .input-wrapper {
  display: flex;
  flex: 1;
  border: 1px solid var(--input-border-color);
  border-radius: 8px;
  overflow: hidden;
}

.corp_detail .input-wrapper input {
  flex: 1;
  border: none;
  padding: 10px;
  outline: none;
}

.corp_detail .preview-box {
  width: 72px;
  height: 72px;
  border: 2px solid var(--primary-color);
  border-radius: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: -25px;

}

.corp_detail .browse-btn {
  color: var(--primary-font-size);
  background: #eee;
  border: none;
  outline: none;
  box-shadow: none;
  padding: 10px 16px;
  cursor: pointer;
}

.corp_detail .preview-box img {
  display: none;
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 16px;
}

/* corp register */
.corp_register .corp_logo {
  margin: 20px 30px;
}

.corp_register .corp_logo img {
  border: 2px solid var(--primary-color);
  border-radius: 12px;
}

.corp_register .otp-container .otp-inputs {
  display: flex;
  justify-content: center;
  gap: 17px;
  margin: 15px 0;
}

.corp_register .otp-container .otp-inputs input {
  background: #E7F2FA;
  border: none;
  border-radius: 8px;
  width: 44px;
  height: 44px;
  text-align: center;
  box-shadow: 0px 1px 3px 1px #00000026;
  outline: none;
}

.corp_register .otp-container:nth-child(1) {
  border-bottom: 1px solid #64748B;
  margin-bottom: 35px;
  padding-bottom: 30px;
}

/* corp dashboard */
/* ===== Sidebar ===== */
.corp_panel {
  height: 100vh;
  background-color: #E2E8F0;
}

.corp_panel .sidebar {
  width: 250px;
  background: #fff;
  min-height: 100vh;
  position: fixed;
}

.corp_panel .sidebar .logo {
  padding: 20px;
  text-align: center;
}

.corp_panel .sidebar .logo img {
  border: 2px solid var(--primary-color);
  border-radius: 8px;
  margin-bottom: 12px;
}

.corp_panel .sidebar a {
  display: block;
  color: #64748B;
  text-decoration: none;
  border-left: 4px solid transparent;
  margin-bottom: 15px
}

.corp_panel .sidebar a.active,
.corp_panel .sidebar a:hover {
  color: var(--text-color);
  border-left: 4px solid var(--primary-color);
}

.corp_panel .sidebar a.active div {
  background: #fce7f1;
}

.corp_panel .sidebar a div {
  padding: 12px;
  margin-left: 12px;
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
}

.corp_panel .logout-btn {
  position: absolute;
  bottom: 20px;
  width: 100%;
  padding: 0 20px;
}

/* ===== Main Content ===== */
.corp_panel .main {
  margin-left: 250px;
  padding: 0 20px 20px 20px;
}
.corp_panel {
  display: flex;
  width: 100%;
  min-height: 100vh;
  overflow-x: hidden;
}

.sidebar {
  width: 260px; /* whatever you use */
  flex-shrink: 0;
}

.main {
  flex: 1;
  min-width: 0;   /* 🔥 VERY IMPORTANT */
  overflow-x: hidden;
}

/* ===== Header ===== */
.corp_panel .header {
  background: var(--white);
  padding: 15px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border: 1px solid #d2d2d2;
  border-bottom-left-radius: 24px;
  border-bottom-right-radius: 24px;
}

.corp_panel .header h5 {
  font-size: calc(var(--primary-font-size) + 10px);
  font-family: "Montserrat", sans-serif;
}

.corp_panel .header .search-box {
  position: relative;
  width: 40%;
}

.corp_panel .header .search-box input {
  outline: none;
  background: var(--input-background-color);
  border: 1px solid #F3F4F6;
  padding: 13px 15px;
  border-radius: 30px;
  width: 100%;
}

.corp_panel .header .search-box input {
  padding-right: 40px;
}

.corp_panel .header .search-box .search-icon {
  position: absolute;
  right: 17px;
  top: 50%;
  transform: translateY(-50%);
  color: #9ca3af;
  font-size: 14px;
}

/* Profile dropdown animation */
.corp_panel .header .dropdown-menu {
  display: block;
  opacity: 0;
  visibility: hidden;
  transform: translateY(-10px) !important;
  transition: opacity 0.3s ease, transform 0.3s ease !important;
}

.corp_panel .header .dropdown.show .dropdown-menu {
  opacity: 1;
  visibility: visible;
  transform: translateY(50px) !important;
}


/* ===== Dashboard Card ===== */
.corp_panel .dashboard-card {
  background: #fff;
  margin-top: 20px;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0px 0px 4px 0px #00000026;
  /*height: calc(100vh - 125px);*/
}

.corp_panel .dashboard-card.no_data {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.corp_panel .dashboard-card h3 {
  font-family: var(--mono-font-family);
  font-size: calc(var(--primary-font-size) + 16px);
  margin-bottom: 30px;
}

.corp_panel .dashboard-card .summary .parent {
  position: relative;
}

.corp_panel .dashboard-card .summary h6 {
  margin-bottom: 15px;
}

.corp_panel .dashboard-card .summary .parent::after {
  width: 1px;
  height: 80px;
  background: #E2E8F0;
  content: "";
  display: flex;
  position: absolute;
  right: -139%;
  top: 2px;
}

.corp_panel .dashboard-card .summary .parent:last-child::after {
  content: none
}

.corp_panel .dashboard-card .table thead th {
  border-bottom: 1px solid #dee2e6;
  border-top: none;
  background: var(--input-background-color);
  padding: 12px;
  font-size: calc(var(--primary-font-size) + 2px);
}

.corp_panel .dashboard-card .table td {
  padding: 12px;
}

.corp_panel .dashboard-card .table td.internship-title {
  color: var(--primary-color);
}

/* Add  intership page */
/* Calendar */
.corp_panel .dashboard-card .calendar-box {
  position: absolute;
  top: 48px;
  left: 0;
  width: 100%;
  background: #fff;
  border: 1px solid #ddd;
  padding: 10px;
  display: none;
  z-index: 1000;
}

.corp_panel .dashboard-card .calendar-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: 600;
  margin-bottom: 10px;
}

.corp_panel .dashboard-card .calendar-header span {
  cursor: pointer;
  padding: 4px 8px;
}

.corp_panel .dashboard-card .calendar-grid {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  gap: 5px;
  text-align: center;
}

.corp_panel .dashboard-card .calendar-day {
  padding: 6px;
  cursor: pointer;
  border-radius: 4px;
}

.corp_panel .dashboard-card .calendar-day:hover {
  background: var(--secondary-color);
}

.corp_panel .dashboard-card .calendar-day.today {
  background: var(--primary-color);
  color: var(--white);
  font-weight: 600;
}

.corp_panel .dashboard-card .calendar-day.disabled {
  color: #ccc;
  pointer-events: none;
}

.corp_panel .dashboard-card .custom-dropdown {
  position: relative;
  width: 100%;
  user-select: none;
  border-radius: 8px;
  padding: 12px;
  border: 1px solid var(--input-border-color);
  height: auto;

}

.corp_panel .dashboard-card .dropdown-selected {
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
}

.corp_panel .dashboard-card .custom-dropdown .arrow {
  transition: transform 0.3s ease;
  font-size: 12px;
}

.corp_panel .dashboard-card .custom-dropdown.active .arrow {
  transform: rotate(180deg);
}


.corp_panel .dashboard-card .custom-dropdown .dropdown-options {
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  max-height: 0;
  overflow: hidden;
  border-top: none;
  background: white;
  transition: max-height 0.3s ease;
  z-index: 1000;
}

.corp_panel .dashboard-card .custom-dropdown.active .dropdown-options {
  max-height: 200px;
  overflow-y: auto;
  border: 1px solid #ced4da;
}


.corp_panel .dashboard-card .custom-dropdown .dropdown-options div:hover {
  background: #f1f1f1;
}

.corp_panel .dashboard-card .custom-dropdown .arrow {
  transition: transform 0.3s ease;
  margin-left: 10px;
}

.corp_panel .dashboard-card .custom-dropdown.active .arrow {
  transform: rotate(180deg);
}

.corp_panel .dashboard-card .custom-select-wrapper {
  position: relative;
}

.corp_panel .dashboard-card .animated-select {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  background: #fff;
  padding-right: 40px;
  transition: border-color 0.3s ease, box-shadow 0.3s ease;
}

.corp_panel .dashboard-card .custom-select-wrapper::after {
  content: "▼";
  position: absolute;
  right: 15px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
  font-size: 12px;
  transition: transform 0.3s ease;
}

.animated-select:focus+.arrow,
.animated-select:focus {
  outline: none;
}

.custom-select-wrapper:focus-within::after {
  transform: translateY(-50%) rotate(180deg);
}

.animated-select:focus {
  border-color: #8E2157;
  box-shadow: 0 0 0 0.15rem rgba(142, 33, 87, 0.25);
}
.multiselect-dropdown {
    width: 100% !important;
}
.corp_panel .dashboard-card .custom-selectt {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  padding-right: 40px;
  cursor: pointer;
}

.corp_panel .dashboard-card .custom-selectt-wrapper .custom-arrow {
  position: absolute;
  top: 65%;
  right: 15px;
  transform: translateY(-50%) rotate(0deg);
  transition: transform 0.3s ease;
  pointer-events: none;
}

.corp_panel .dashboard-card .custom-selectt.open+.custom-arrow {
  transform: translateY(-50%) rotate(180deg);
}

.custom-selectt option:checked,
.custom-selectt option[selected] {
  background-color: var(--primary-color);
  color: #fff;
}

.corp_panel .dashboard-card .form-label {
  margin-bottom: 8px;
}

.corp_panel .dashboard-card .custom-dropdown.active .dropdown-options {
  max-height: 200px;
  overflow-y: auto;
  margin-top: 5px;
}

.corp_panel .dashboard-card .dropdown-options div {
  padding: 0 12px;
  display: flex;
  align-items: center;
  gap: 5px;
}

.corp_panel .dashboard-card .dropdown-options label {
  margin-bottom: 0;
  cursor: pointer;
  padding: 7px 0;
}

.corp_panel .dashboard-card .form-group .rupee_icon,
.corp_panel .dashboard-card .form-group .duration {
  position: absolute;
  top: 30%;
}

.corp_panel .dashboard-card .form-group .duration {
  right: 15px;
}

.corp_panel .dashboard-card .form-group #Stipend {
  padding-left: 40px;
}

.corp_panel .dashboard-card .form-group .rupee_icon {
  left: 15px;
}

.dataTables_wrapper .dataTables_filter input {
  border: 1px solid var(--input-border-color);
  border-radius: 5px;
}

table.dataTable tbody tr {
  background-color: transparent !important;
}

table.dataTable thead th {
  padding: 12px 18px;
  border-bottom: none;
  background-color: #f4f9ff !important;
}

table.dataTable tbody td {
  padding: 12px 18px;
  border-top: 1px solid #CBD5E1 !important;
  background-color: transparent !important;
}

table.dataTable.no-footer {
  border-bottom: none;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current,
.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
  background: var(--primary-color);
  color: var(--white) !important;
  border: none;
  border-radius: 3px;
}

.corp_panel .dashboard-card img#logoPreview {
  width: 80px;
  height: 80px;
  object-fit: cover;
  border: 2px solid var(--primary-color);
  border-radius: 8px;
  padding: 5px;
}

.corp_panel .dashboard-card .logo-box .upload-btn {
  position: absolute;
  left: 42%;
  right: 50%;
  top: 48%;
  width: 22px;
  height: 22px;
  margin-bottom: 0;
  cursor: pointer;
}

.corp_panel .dashboard-card .logo-box .overlay {
  position: absolute;
  top: 30px;
  left: 2px;
  width: 95%;
  height: 69%;
  background: rgb(255 255 255 / 70%);
  border-radius: 6px;
}

/* applied interns style */
.cust_badge {
  padding: 5px 15px;
  border-radius: 25px;

}

.cust_badge.hired {
  border: 1px solid #14532D;
  background: #F0FDF4;
  color: #14532D;
}

.cust_badge.rejected {
  border: 1px solid #7F1D1D;
  background: #FEF2F2;
  color: #7F1D1D;
}

.cust_badge.hold {
  color: #7C2D12;
  border: 1px solid #7C2D12;
  background: #FFF7ED;
}

/* interns page style */
.intern_page .section-card {
  background: #fff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0px 0px 4px 0px #00000026;
  height: 100%;
}

.intern_page .profile-img {
  width: 100%;
  height: 200px;
  border-radius: 8px;
  object-fit: cover;
}

.intern_page .info-title {
  font-size: 14px;
  color: #888;
  margin-bottom: 2px;
}

.intern_page .info-value {
  font-weight: 600;
  font-size: 16px;
  line-height: 26px;
}

@media (min-width: 768px) {
  .landing_page {
    display: none;
  }

  .hide_screen {
    display: block;
  }
}

@media (max-width: 767px) {
  .hide_screen {
    display: none;
  }

  .corp_panel .sidebar {
    display: none;
  }

  .corp_panel .main {
    margin-left: 0;
  }

  .corp_panel .search-box input {
    width: 150px;
  }

  .corp_panel,
  .corp_panel .dashboard-card {
    height: auto;
  }
}

@media (max-width: 991px) {
  .custom-collapse {
    position: fixed;
    top: 0;
    left: 0;
    width: 260px;
    height: 100vh;
    background: #fff;
    padding: 20px;
    transform: translateX(-100%);
    transition: transform 0.3s ease;
    z-index: 1051;
  }

  .custom-collapse.show {
    transform: translateX(0);
  }

  .nav-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    display: none;
    z-index: 1050;
  }

  .nav-overlay.show {
    display: block;
  }
}